using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz
{
    public class MenuItem
    {
        private int ciID;
        private int ciBoxID;
        private string csName;
        private string csActionType;
        private string csActionData;
        
	    public MenuItem()
	    {}
        [Index]
        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public int BoxID
        {
            get { return ciBoxID; }
            set { ciBoxID = value; }
        }

        public string Name
        {
            get { return csName; }
            set { csName = value; }
        }

        public string ActionType
        {
            get { return csActionType; }
            set { csActionType = value; }
        }

        public string ActionData
        {
            get { return csActionData; }
            set { csActionData = value; }
        }
    }

    public class MenuItemList : BindingList<MenuItem>
    {
        public MenuItemList()
        { }
    }
}

